import React from 'react'
import Tab, { TabProps } from '@material-ui/core/Tab'
import { withStyles } from '@material-ui/core/styles'

const TabBase = withStyles({
  root: {
    textTransform: 'none',
    minHeight: '36px',
  },
  selected: {
    background: 'var(--blueRadialGradient)',
    backgroundClip: 'text',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
  },
})(Tab)

type StyledWhiteTabProps = TabProps

const StyledWhiteTab: React.ComponentType<StyledWhiteTabProps> = ({
  ...props
}: StyledWhiteTabProps) => {
  return <TabBase {...props}>{props.children}</TabBase>
}

export default StyledWhiteTab
