import React from 'react'
import Tabs, { TabsProps } from '@material-ui/core/Tabs'
import { withStyles } from '@material-ui/core/styles'

const TabsBase = withStyles({
  root: {
    minHeight: '36px',
  },
  indicator: {
    backgroundColor: 'var(--blue)',
    '&:before': {
      content: '""',
      position: 'absolute',
      bottom: '0',
      width: 'inherit',
      opacity: '0.4',
      height: '6px',
      borderRadius: '50% 50% 0 0',
      filter: 'blur(8px)',
      background: 'var(--blueRadialGradientTrans)',
    },
  },
})(Tabs)

type StyledWhiteTabsProps = TabsProps

const StyledWhiteTabs: React.ComponentType<StyledWhiteTabsProps> = ({
  ...props
}: StyledWhiteTabsProps) => {
  return <TabsBase {...props}>{props.children}</TabsBase>
}

export default StyledWhiteTabs
