import React from 'react'
import { translate } from 'cozy-ui/react/I18n'

import StyledButton from 'components/CommonKit/Button/StyledButton'
import Spinner from 'components/CommonKit/Spinner/Spinner'

interface KonnectorResultProps {
  date: string
  updating: boolean
  errored: boolean
  updateKonnector: (event: any) => void
  deleteAccount: (event: any) => void
  t: Function
}

const KonnectorResult: React.FC<KonnectorResultProps> = ({
  date,
  updating,
  errored,
  updateKonnector,
  deleteAccount,
  t,
}) => {
  return (
    <div>
      <div className="accordion-update">
        <div
          className={errored ? 'accordion-caption-red' : 'accordion-caption'}
        >
          {t('KONNECTORCONFIG.LABEL_UPDATEDAT')}
        </div>
        <div>{date}</div>
      </div>
      <div className="inline-buttons">
        <StyledButton type="button" color="primary" onClick={updateKonnector}>
          {updating ? (
            <Spinner size="2em" />
          ) : (
            <div>{t('KONNECTORCONFIG.BTN_UPDATE')}</div>
          )}
        </StyledButton>
        <StyledButton
          type="button"
          color="secondary"
          onClick={deleteAccount}
          disabled={updating}
        >
          {t('KONNECTORCONFIG.BTN_DELETE')}
        </StyledButton>
      </div>
    </div>
  )
}

export default translate()(KonnectorResult)
